<!-- stock info -->
{$sku = $product.skus[$product.sku_id]}
{$product_available = $product.status && $sku.available && ($wa->shop->settings('ignore_stock_count') || $sku.count === null || $sku.count > 0)}
{if $product_available || count($product.skus) > 1}
<div class="stocks">
    {function name=in_stock n=0 low=5 critical=2}
    {if $n > $low or $n === null}
    <strong class="stock-high"><i class="icon16 stock-green"></i>[`In stock`]</strong>
    {elseif $n > $critical}
    <strong class="stock-low"><i class="icon16 stock-yellow"></i>{_w("Only %d left in stock", "Only %d left in stock", $n)}</strong>
    {elseif $n > 0}
    <strong class="stock-critical"><i class="icon16 stock-red"></i>{_w("Only %d left in stock", "Only %d left in stock", $n)}</strong>
    {else}
    <strong class="stock-none"><i class="icon16 stock-transparent"></i>{if $wa->shop->settings('ignore_stock_count')}[`Pre-order only`]{else}[`Out of stock`]{/if}</strong>
    {/if}
    {/function}
    {foreach $product.skus as $sku}
    <div {if $sku.id != $product.sku_id}style="display:none"{/if} class="sku-{$sku.id}-stock">
        {if isset($sku.stock) && $sku.stock}
            {foreach $product.stocks as $stock_id => $stock}
                {if isset($sku.stock[$stock_id])}
                    {$stock_count = $sku.stock[$stock_id]}
                {else}
                    {$stock_count = null}
                {/if}
                {$stock.name}: {in_stock n=$stock_count low=$stock.low_count critical=$stock.critical_count}<br>
            {/foreach}
        {else}
            {in_stock n=$sku.count}
        {/if}
    </div>
    {/foreach}
    {if $product.sku_type}
    <div class="sku-no-stock">
        <strong class="stock-none">[`Product with the selected option combination is not available for purchase`]</strong>
    </div>
    {/if}
</div>
{else}
<div class="stocks">
    <div class="sku-no-stock">
        <strong class="stock-none"><i class="icon16 stock-transparent"></i>{if $wa->shop->settings('ignore_stock_count')}[`Pre-order only`]{else}[`Out of stock`]{/if}</strong>
    </div>
</div>
{/if}